/***************************************************************************
                          splash.cpp  -  description
                             -------------------
    begin                : Tue Jul 17 2001
    copyright            : (C) 2003 by Troy Corbin Jr.
    email                : tcorbin@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "splash.moc"
#include <tqpixmap.h>
#include <kstandarddirs.h>
#include <twin.h>
#include <tqapplication.h>

splash::splash() :
	TQWidget( 0, "splash", TQt::WStyle_Customize | TQt::WStyle_NoBorder )
{
	TQPixmap SplashImage( locate("data", "knights/splash.png" ) );
	setPaletteBackgroundPixmap( SplashImage );

	TQSize Hint = SplashImage.size();
	setFixedSize( Hint );

	move( ( TQApplication::desktop()->width() - Hint.width() ) / 2,
				( TQApplication::desktop()->height() - Hint.height() ) / 2 );
	show();
	repaint( false );
}
splash::~splash()
{
}
